# $Revision: 1.16 $, $Date: 2011/08/31 09:17:25 $
Summary:	PKCS#11 engine for OpenSSL
Summary(pl.UTF-8):	Silnik PKCS#11 dla OpenSSL-a
Name:		openssl-engine-pkcs11
Version:	0.1.8
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	http://www.opensc-project.org/files/engine_pkcs11/engine_pkcs11-%{version}.tar.gz
# Source0-md5:	693b402eafba152666e66431ed4c1b9e
URL:		http://www.opensc-project.org/engine_pkcs11/
BuildRequires:	libp11-devel >= 0.2.5
BuildRequires:	openssl-devel >= 0.9.8l-2
BuildRequires:	pkgconfig
Requires:	libp11 >= 0.2.5
Requires:	openssl >= 0.9.8l-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	/%{_lib}

%undefine	__cxx

%description
engine_pkcs11 is an implementation of an engine for OpenSSL. It can be
loaded using code, config file or command line and will pass any
function call by openssl to a PKCS#11 module. Engine_pkcs11 is meant
to be used with smart cards and software for using smart cards in
PKCS#11 format, such as OpenSC.

%description -l pl.UTF-8
engine_pkcs11 to implementacja silnika dla OpenSSL-a. Może być
wczytany przy użyciu kodu, pliku konfiguracyjnego i linii poleceń;
przekazuje wszystkie wywołania funkcji openssl-a do modułu PKCS#11.
engine_pkcs11 jest przeznaczony do używania z kartami procesorowymi i
oprogramowaniem do używania kart procesorowych w formacie PKCS#11,
takim jak OpenSC.

%prep
%setup -q -n engine_pkcs11-%{version}

%build
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/engines/engine_pkcs11.la

rm -rf $RPM_BUILD_ROOT%{_docdir}/engine_pkcs11

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS doc/{README,nonpersistent/{ChangeLog,wiki.out/*}}
%attr(755,root,root) %{_libdir}/engines/engine_pkcs11.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openssl-engine-pkcs11.spec,v $
Revision 1.16  2011/08/31 09:17:25  arekm
- release 2

Revision 1.15  2010/08/11 07:12:45  qboosh
- updated libp11 BR

Revision 1.14  2010/07/19 10:55:25  glen
- up to 0.1.8

Revision 1.13  2010/06/04 06:59:19  glen
- openssl was moved to /lib in 0.9.8l-2; rel 4

Revision 1.12  2010/05/19 17:28:16  sparky
- don't require c++ compiler

Revision 1.11  2010/04/21 17:05:20  arekm
- release 3

Revision 1.10  2010/04/12 19:28:26  arekm
- release 2

Revision 1.9  2008/08/25 23:32:10  qboosh
- updated to 0.1.5

Revision 1.8  2007/09/02 19:19:09  qboosh
- engines dir belongs to openssl

Revision 1.7  2007/08/12 00:14:43  qboosh
- updated to 0.1.4

Revision 1.6  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.4  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.3  2006/01/09 09:26:39  qboosh
- updated Source0 URL

Revision 1.2  2005/11/24 09:31:27  qboosh
- updated to 0.1.3

Revision 1.1  2005/11/07 14:38:59  qboosh
- new, separated from opensc.spec
